@echo off
set APP=AGMConv32.exe
set SOURCEFILE="testsrc.agm"
set COMMONOPT= -y

echo -----------------------------
echo  o[W (-version) 
echo -----------------------------
%APP% -version

echo -----------------------------
echo  tH[}bg (-formats) 
echo -----------------------------
%APP% -formats

echo -----------------------------
echo  wv\ (-h) 
echo -----------------------------
%APP% -h

echo --------------------
echo  t@C̕\
echo --------------------
%APP% -i %SOURCEFILE%

echo -----------------------
echo  XibvVbgo
echo -----------------------
%APP% %COMMONOPT% -aspect 4:3  -s 640x480  -ss 60 -i %SOURCEFILE% AGMConv_SnapShot.jpg
echo Output: AGMConv_SnapShot.jpg
%APP% %COMMONOPT% -aspect 16:9 -s 1280x720 -ss 60 -i %SOURCEFILE% AGMConv_SnapShot.png
echo Output: AGMConv_SnapShot.png

echo -----------------------
echo  Aj[VGIFo
echo -----------------------
%APP% %COMMONOPT% -s 640x480 -r 10 -ss 60 -t 30 -i %SOURCEFILE% AGMConv_OutputGif.gif
echo Output: AGMConv_OutputGif.gif
%APP% %COMMONOPT% -i AGMConv_OutputGif.gif AGMConv_FromGif.agm
echo Output: AGMConv_FromGif.agm

echo --------------------
echo  AGMRs[
echo --------------------
%APP% %COMMONOPT% -vcodec copy -ss 60 -t 10 -i %SOURCEFILE% o1.agm
echo Output: o1.agm
%APP% %COMMONOPT% -vcodec copy -ss 70 -t 10 -i %SOURCEFILE% o2.agm
echo Output: o2.agm
%APP% %COMMONOPT% -vcodec copy -ss 80 -t 10 -i %SOURCEFILE% o3.agm
echo Output: o3.agm
%APP% %COMMONOPT% -vcodec copy -i o1.agm -i o2.agm -i o3.agm AGMConv_Copy.agm
echo Output: AGMConv_Copy.agm

echo --------------------
echo  MP4o
echo --------------------
%APP% %COMMONOPT% -ss 60 -t 10 -i %SOURCEFILE% o1.mp4
echo Output: o1.mp4
%APP% %COMMONOPT% -s 640x480 -ss 70 -t 10 -i %SOURCEFILE% o2.mp4
echo Output: o2.mp4
%APP% %COMMONOPT% -s 320x240 -ss 80 -t 10 -i %SOURCEFILE% o3.mp4
echo Output: o3.mp4
%APP% %COMMONOPT% -i o1.mp4 -i o2.mp4 -i o3.mp4 AGMConv_Convert.mp4
echo Output: AGMConv_Convert.mp4
%APP% %COMMONOPT% -i o1.mp4 -i o2.mp4 -i o3.mp4 AGMConv_Convert.agm
echo Output: AGMConv_Convert.agm

echo --------------------
echo  AGMo
echo --------------------
%APP% %COMMONOPT% -ss 60 -t 10 -vcodec AGM2-YV12 -i %SOURCEFILE% o1.agm
echo Output: o1.agm
%APP% %COMMONOPT% -ss 70 -t 10 -vcodec AGM3-YV12 -i %SOURCEFILE% o2.agm
echo Output: o2.agm
%APP% %COMMONOPT% -ss 80 -t 10 -vcodec AGM2-RGB  -i %SOURCEFILE% o3.agm
echo Output: o3.agm
%APP% %COMMONOPT% -ss 90 -t 10 -vcodec AGM3-RGB  -i %SOURCEFILE% o4.agm
echo Output: o4.agm
%APP% %COMMONOPT% -ss 100 -t 10 -vcodec AGM2-DCT  -i %SOURCEFILE% o5.agm
echo Output: o5.agm
%APP% %COMMONOPT% -ss 110 -t 10 -vcodec AGM3-DCT  -i %SOURCEFILE% o6.agm
echo Output: o6.agm
%APP% %COMMONOPT% -ss 120 -t 10 -vcodec AGM2-DCT+ -i %SOURCEFILE% o7.agm
echo Output: o7.agm
%APP% %COMMONOPT% -ss 130 -t 10 -vcodec AGM3-DCT+ -i %SOURCEFILE% o8.agm
echo Output: o8.agm
%APP% %COMMONOPT% -i o1.agm -i o2.agm -i o3.agm -i o4.agm -i o5.agm -i o6.agm -i o7.agm -i o8.agm AGMConv_AGMMode.agm
echo Output: AGMConv_AGMMode.agm
%APP% %COMMONOPT% -i o1.agm -i o2.agm -i o3.agm -i o4.agm -i o5.agm -i o6.agm -i o7.agm -i o8.agm AGMConv_AGMMode.mp4
echo Output: AGMConv_AGMMode.mp4

echo --------------------
echo  f/̂ݏo
echo --------------------
%APP% %COMMONOPT% -an -ss 60 -t 60 -i %SOURCEFILE% AGMConv_VideoOnly.agm
echo Output: AGMConv_VideoOnly.agm
%APP% %COMMONOPT% -ss 60 -t 60 -i %SOURCEFILE% AGMConv_AudioOnly.wav
echo Output: AGMConv_AudioOnly.wav
%APP% %COMMONOPT% -an -ss 60 -t 60 -i %SOURCEFILE% AGMConv_VideoOnly.mp4
echo Output: AGMConv_VideoOnly.mp4
%APP% %COMMONOPT% -an -ss 60 -t 60 -i %SOURCEFILE% AGMConv_AudioOnly.m4a
echo Output: AGMConv_AudioOnly.m4a

echo --------------------
echo  fƉ̍
echo --------------------
%APP% %COMMONOPT% -i AGMConv_VideoOnly.mp4 -i AGMConv_AudioOnly.m4a -map 0:0 -map 1:1 AGMConv_VideoAudio.mp4
echo Output: AGMConv_VideoAudio.mp4
%APP% %COMMONOPT% -i AGMConv_VideoOnly.agm -i AGMConv_AudioOnly.wav -map 0:0 -map 1:1 AGMConv_VideoAudio.agm
echo Output: AGMConv_VideoAudio.agm

echo --------------------
echo  fiύX
echo --------------------
%APP% %COMMONOPT% -ss 60 -t 60 -vq 0 -i %SOURCEFILE% AGMConv_Quality0.agm
echo Output: AGMConv_Quality0.agm
%APP% %COMMONOPT% -ss 60 -t 60 -vq 50 -i %SOURCEFILE% AGMConv_Quality50.agm
echo Output: AGMConv_Quality50.agm
%APP% %COMMONOPT% -ss 60 -t 60 -vq 100 -i %SOURCEFILE% AGMConv_Quality100.agm
echo Output: AGMConv_Quality100.agm

%APP% %COMMONOPT% -ss 60 -t 60 -vq 0 -i %SOURCEFILE% AGMConv_Quality0.mp4
echo Output: AGMConv_Quality0.mp4
%APP% %COMMONOPT% -ss 60 -t 60 -vq 50 -i %SOURCEFILE% AGMConv_Quality50.mp4
echo Output: AGMConv_Quality50.mp4
%APP% %COMMONOPT% -ss 60 -t 60 -vq 100 -i %SOURCEFILE% AGMConv_Quality100.mp4
echo Output: AGMConv_Quality100.mp4

%APP% %COMMONOPT% -ss 60 -t 60 -b 200k -i %SOURCEFILE% AGMConv_V200k.mp4
echo Output: AGMConv_V200k.mp4

%APP% %COMMONOPT% -ss 60 -t 60 -vk 1 -i %SOURCEFILE% AGMConv_AllKeyFrame.agm
echo Output: AGMConv_AllKeyFrame.agm

echo --------------------
echo  iύX
echo --------------------
%APP% %COMMONOPT% -ss 60 -t 60 -ar 8000 -ac 1 -as 8 -i %SOURCEFILE% AGMConv_AQuality0.agm
echo Output: AGMConv_AQuality0.agm
%APP% %COMMONOPT% -ss 60 -t 60 -ar 44100 -ac 1 -ab 96k -i %SOURCEFILE% AGMConv_AQuality0.mp4
echo Output: AGMConv_AQuality0.mp4
